Subject: Re: [PATCHv7.2 4/4] gitweb: Minimal testing of gitweb caching

From: Jakub Narebski <[email-masked]>
Date: Thu, 18 Nov 2010 00:12:22 +0100

Dnia środa 17. listopada 2010 23:37, Junio C Hamano napisał:
> Jakub Narebski <[email-masked]> writes:
> 
> > +gitweb_enable_caching () {
> > +	test_expect_success 'enable caching' '
> > +		cat >>gitweb_config.perl <<-\EOF &&
> > +		our $caching_enabled = 1;
> > +		our $minCacheTime = 60*60*24*7*30;     # very long expiration time for tests (a month)
> 
> Does your month have 210 days in it?
> 
> > +		our $maxCacheTime = 60*60*24*7*30*365; # upper bound for dynamic (adaptive) caching
> 
> Likewise, is this 210 years?  Does this bust 32-bit time_t somewhere?

Ooops.

Still, fixing this doesn't fix tests.  I think I'd have to make another
extra commit, adding configure knob to turn off cacheWaitForUpdate()...

Or perhaps I did something wrong when simplifying, but I have checked
diff between full and simplified version (in comments in v7.1 series),
and it doesn't look like it...

-- 
Jakub Narebski
Poland